%define section free

Name:           mstor
Version:        0.9.7
Release:        1jpp
Epoch:          0
Summary:        A local store provider for JavaMail
License:        BSD-like
Vendor:         JPackage Project
Distribution:   JPackage
Source0:	http://prdownloads.sourceforge.net/mstor/mstor-0.9.7-src.zip
URL:            http://mstor.sourceforge.net/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	jakarta-commons-logging, jdom, javamail
BuildRequires:	jpackage-utils >= 0:1.5, ant, jdom-javadoc, javamail-javadoc, jakarta-commons-logging-javadoc, /bin/bash

%description 
mstor is a local store provider for JavaMail. Based on the mbox format, mstor
facilitates the storage and retrieval of email messages in the local
filesystem. In addition, mstor supports additional metadata not inherently
supported by the mbox format, and is designed to handle large mailboxes
without a significant degradation in performance.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
rm -fr lib

%build
export CLASSPATH=%(build-classpath javamail/mailapi.jar jdom jakarta-commons-logging)
ant \
  -Dversion=%{version} \
  -Dj2se.apiUrl=%{_javadocdir}/java \
  -Djavamail.apiUrl=%{_javadocdir}/javamail \
  -Djakarta-commons-logging.apiUrl=%{_javadocdir}/jakarta-commons-logging \
  -Djdom.apiUrl=%{_javadocdir}/jdom \
  -Dproject.classpath="$CLASSPATH" \
  package javadoc

%install
rm -fr $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -fr docs/api
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc README LICENSE CHANGELOG
%doc docs/*
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri May 5 2006 Sebastiano Vigna <vigna at acm.org> 0:0.9.7-1jpp
- Updated
* Fri Apr 15 2005 Sebastiano Vigna <vigna at acm.org> 0:0.9.3-1jpp
- First JPackage version
